/* ------------------------------------------------------------ *\
	Section
\* ------------------------------------------------------------ */

.section {
	.title {
		display: block;
		position: relative;
		color: #000000;
		font-size: 18px;
		font-weight: 400;
		text-align: right;
		text-transform: uppercase;

		&:before {
			content: '';
			width: 100%;
			height: 2px;
			background: #000000;
			position: absolute;
			top: 47%;
			left: 0;
			transform: translateY(-50%);
		}

		h4 {
			font-family: $font-fjalla-one;
			font-weight: normal;
			position: relative;
			margin-bottom: 0;
			display: inline-block;
			background: #fff;
			z-index: 10;
			line-height: 1;
			padding: 0 0 0 10px;
			margin-left: auto;
		}
	}

	.title--centered {
		text-align: center;

		h4 {
			margin: 0 auto;
			padding: 0 23px;
			letter-spacing: 0.05em;
		}
	}

	.title--rotate {
		position: absolute;
		top: 0;
		left: 45px;
		height: 100%;

		&:before {
			width: 2px;
			height: 100%;
			top: 50%;
		}

		h4 {
			margin-top: -1px;
			padding: 0 1px 0 10px;
			right: 5px;
			transform: rotate(-90deg);
			transform-origin: top right;
			position: absolute;
			background: #fff;
		}
	}

	.title--left {
		text-align: left;

		h4 {
			margin-left: 0;
			padding: 0 10px 0 0;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section products
\* ------------------------------------------------------------ */

.section--products {
	padding: 45px 0 50px;

	@media #{$mobile} {
		padding: 45px 0 3px;

		.title--rotate {
			position: static;
			text-align: left;
			margin-bottom: 29px;

			&:before {
				display: none;
			}

			h4 {
				transform: rotate(0deg);
				position: static;
				padding: 0;
			}
		}

		.slider--products {
			margin-bottom: 33px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section images
\* ------------------------------------------------------------ */

.section--images {
	padding: 26px 0;

	.images--main {
		.row {
			margin-bottom: 43px;
		}
	}

	@media #{$mobile} {
		padding-bottom: 0;

		.images--main {
			margin: 0 -36px;

			.col-md-6 {
				padding: 0;
			}

			.row {
				margin: 0;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Section info
\* ------------------------------------------------------------ */

.section--info {
	padding: 45px 0 50px;
	text-align: center;

	h2 {
		margin-bottom: 20px;
		font-weight: 700;
		text-transform: uppercase;
		line-height: 1.55;
	}

	h4 {
		font-family: $font-fjalla-one;
		margin-bottom: 17px;
		font-weight: 400;
		text-transform: uppercase;
	}

	p {
		margin-bottom: 25px;
		line-height: 1.6;
	}

	.section__inner {
		margin-right: -10px;
		padding: 0 12px 20px;
	}

	.section__images {
		height: 100%;
		margin-left: 25px;
		display: flex;
		flex-flow: row wrap;

		.image--primary {
			height: 47.3%;
			flex: 0 0 100%;
		}

		.image--primary + .image--primary {
			margin-top: 29px;
		}
	}

	.image--primary {
		height: 100%;
	}

	.btn {
		max-width: 236px;
		display: block;
		width: 100%;
		padding: 0 20px;
		height: 54px;
		line-height: 51px;
		margin: 45px auto 0;
	}

	@media #{$mobile} {
		padding: 0 0 20px;

		h2 {
			margin-bottom: 24px;
		}

		p {
			margin-bottom: 22px;
		}

		.section__inner {
			margin-right: -10px;
			padding: 0 30px 40px;
		}

		.section__images {
			display: block;
			margin-left: 0;

			.image--primary {
				height: 287px;
				margin-bottom: 0;
				width: auto;
			}

			.image--primary + .image--primary {
				margin-top: 0;
			}
		}

		.btn {
			margin: 29px auto 0;
		}

		.image--primary {
			height: 445px;
			margin: 0 -36px 33px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section products secondary
\* ------------------------------------------------------------ */

.section--products-secondary {
	padding: 45px 0 20px;

	.section__inner {
		position: relative;
		padding-right: 25px;
	}

	.section__image {
		padding-left: 9px;

		img {
			width: 100%;
		}
	}

	.slider--products-secondary {
		margin-right: -19px;
	}

	.title {
		left: auto;
		right: 14px;
	}

	@media #{$mobile} {
		padding: 15px 0 20px;

		.section__inner {
			padding: 43px 0 0;
		}

		.title {
			top: 0px;
			right: 0;
			text-align: left;

			&:before {
				display: none;
			}

			h4 {
				transform: rotate(0deg);
				position: static;
				padding: 0;
				margin-right: 11px;
				letter-spacing: 0.3em;
			}
		}

		.section__image {
			padding: 0;
			margin: 0 -36px;
			height: 275px;
			overflow: hidden;
		}

		.col-md-7 {
			.section__inner {
				padding: 15px 0 0;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Section contacts
\* ------------------------------------------------------------ */

.section--contacts {
	padding: 36px 0 98px;

	.section__head {
		margin-bottom: 48px;
	}

	.section__inner {
		max-width: 1090px;
		margin: 0 auto;
	}

	@media #{$mobile} {
		padding: 87px 0 81px;

		.section__head {
			margin-bottom: 20px;
		}

		.title {
			margin: 0 -36px;
		}

		.contacts {
			.contacts__image {
				margin: 0 -36px 35px;
			}
		}
	}

	@media(max-width: 370px) {
		padding: 87px 0 26px;
	}
}

/* ------------------------------------------------------------ *\
	Section details
\* ------------------------------------------------------------ */

.section--details {
	padding: 50px 0 20px;

	.details {
		max-width: 402px;
		padding-bottom: 26px;
		margin-bottom: 25px;
		padding-left: 8px;
		border-bottom: 1px solid rgba(0, 0, 0, 0.18);

		.details__title {
			display: block;
		}
	}

	.details__title {
		display: none;
	}

	.info {
		max-width: 402px;
		padding-left: 8px;
	}

	.slider--images-secondary {
		margin-bottom: 23px;
	}

	.slider--images {
		margin-right: 22px;
	}

	@media #{$mobile} {
		padding: 50px 0 10px;

		.slider--images {
			margin-right: 0;
			margin-bottom: 20px;
		}

		.slider--images-secondary {
			margin-bottom: 32px;
		}

		.details__title {
			display: block;
		}

		.details {
			margin-top: 8px;
			max-width: 100%;
			padding-left: 0;
			padding-bottom: 0;
			border-bottom: 0;

			.details__title {
				display: none;
			}
		}

		.info {
			max-width: 100%;
			padding-left: 0;
		}

		.accordion--main {
			margin-bottom: 20px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section tabs
\* ------------------------------------------------------------ */

.section--tabs {
	padding: 20px 0 20px;

	@media #{$mobile} {
		padding: 0;

		.tabs--main {
			display: none;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section price
\* ------------------------------------------------------------ */

.section--price {
	padding: 37px 0 50px;

	.section__head {
		margin-bottom: 40px;
	}

	@media #{$mobile} {
		padding: 18px 0 86px;

		.section__head {
			margin-bottom: 21px;
		}

		.title {
			margin: 0 -36px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section products tertiary
\* ------------------------------------------------------------ */

.section--products--tertiary {
	padding: 50px 0 50px;

	.section__body {
		margin-bottom: 54px;
		padding: 0 30px;
	}

	.section__foot {
		text-align: center;

		.btn {
			padding: 0 30px;
			height: 54px;
			line-height: 54px;
			min-width: 236px;
		}
	}

	@media #{$mobile} {
		.section__body {
			padding: 0;
		}
	}
}

/* ------------------------------------------------------------ *\
	Section socials
\* ------------------------------------------------------------ */

.section--socials {
	padding: 50px 0 0;

	.section__head {
		margin-bottom: 22px;
		text-align: center;

		a {
			color: #000000;
			font-size: 21px;
			font-weight: 600;
			text-decoration: none;
		}
	}

	@media #{$mobile} {
		padding: 14px 0 0;
	}
}

/* ------------------------------------------------------------ *\
	Section socials secondary
\* ------------------------------------------------------------ */

.section--socials-secondary {
	@media #{$mobile} {
		.section__head {
			margin-bottom: 27px;

			i {
				display: block;
				font-size: 44px;
				margin-bottom: 15px;
			}
		}

	}
}

/* ------------------------------------------------------------ *\
	Section results
\* ------------------------------------------------------------ */

.section--results {
	padding: 0 0 43px;

	.section__body {
		margin-bottom: 50px;
		padding: 20px 0 0;

		.row {
			margin: 0 -7px;
		}

		[class^='col-'] {
			padding: 0 7px;
		}
	}

	.section__body-inner {
		margin-bottom: 37px;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.section__body-content{
		padding: 0 27px 0 29px;
	}

	.section__foot {
		text-align: center;

		.btn {
			height: 54px;
			line-height: 52px;
			padding: 0 10px;
			min-width: 236px;
		}
	}

	.list--filters {
		margin-bottom: 0;
	}

	@media #{$mobile} {
		.section__body {
			margin-bottom: 57px;
			padding: 21px 0 0;
		}

		.section__body-content {
			padding: 0 21px;

			.select--primary-small {
				margin-right: -10px;
			}
		}

		.section__body-inner {
			margin-bottom: 10px;
			justify-content: flex-end;
		}

		.link-order {
			margin-right: -10px;
		}
	}

	@media(max-width: 370px) {
		.section__body-content {
			padding: 0;

			.select--primary-small {
				margin-right: 0;
			}
		}
	}
}
